.travis.yml: add libnfs-dev for NFS block driver
diff mbox

Message ID 1459427165-4944-1-git-send-email-stefanha@redhat.com
State New
Headers show

Commit Message

Stefan Hajnoczi March 31, 2016, 12:26 p.m. UTC
Let's ensure that block/nfs.o is built in Travis.

This patch depends on the following build fixes:
1. block/nfs: add missing #include "qapi/error.h"
2. block/nfs: add missing #include "qemu/cutils.h"

This patch also depends on Travis adding libnfs-dev to the list of
approved packages.  This patch can be safely committed but will not do
anything until the Travis maintainers allow libnfs-dev to be installed.
Please see the GitHub Issue I raised here:
https://github.com/travis-ci/apt-package-whitelist/issues/2788

Signed-off-by: Stefan Hajnoczi <stefanha@redhat.com>
---
 .travis.yml | 1 +
 1 file changed, 1 insertion(+)

Patch
diff mbox

diff --git a/.travis.yml b/.travis.yml
index 9e5873b..7906c8c 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -17,6 +17,7 @@  addons:
       - libgtk-3-dev
       - libiscsi-dev
       - liblttng-ust-dev
+      - libnfs-dev
       - libncurses5-dev
       - libnss3-dev
       - libpixman-1-dev